Execute a Data Cloud SQL query

Run low-latency SQL queries against all our indexed datasets for your custom needs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example

Query the hashes of the last 3,000 blocks in Ethereum and the number of transactions in each block:

curl -X "POST" "https://api.chainbase.online/v1/dw/query" \
     -H 'X-API-KEY: YOUR-API-KEY ' \
     -H 'Content-Type: application/json; charset=utf-8' \
     -d $'{
  "query": "select number, transactions_count from ethereum.blocks order by number desc limit 3000;"
}'

If there are more than 1000 rows, you need to paginate through thetask_id and page to get all the results:

curl -X "POST" "https://api.chainbase.online/v1/dw/query" \
     -H 'X-API-KEY: YOUR-API-KEY ' \
     -H 'Content-Type: application/json; charset=utf-8' \
     -d $'{
       "task_id": "xxxxxxxxxxxxxxxxxxxxx",
       "page": 2
}'

🚧

Note

  1. When quey_id is passed in, the content of query will be ignored
  2. The executed request generates a task_id, which is valid for 1 hour
  3. A maximum of 100,000 pieces of data are allowed to be obtained from the request, and 1,000 results are paginated per page
Body Params
string

SQL commands for querying data

string

Used to get the paginated data.

int32

The page offset.

Headers
string
Defaults to demo
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json